#!/usr/bin/perl

# renames files to numbers
# (c) John Hanna 2003 under the terms of the GPL

open(F,"<assp.cfg"); local $/; (%Config)=split(/:=|\n/,<F>); close F;
$spamlog=$Config{spamlog} && "$Config{base}/$Config{spamlog}" || 'spam';
$notspamlog=$Config{notspamlog} && "$Config{base}/$Config{notspamlog}" || 'notspam';

unless($ARGV[0]=~/-[r]/) {
 print "This program renames files to numbers

Usage:
 perl move2num.pl -r              actually rename the files
";
exit;
}

for $fn (glob("$spamlog/*")) {
 next if -d $fn;
 next if $fn=~/\/\d+$/; # skip ones that are currently numbers
 print "." if $c++ % 100==0;
 while(-s "$spamlog/$c") {$c++}
 $fn0=$fn;
 $fn=~s#/[^/]*$#/$c#;
 rename($fn0,$fn);
}
$c=1;
for $fn (glob("$notspamlog/*")) {
 next if -d $fn;
 next if $fn=~/\/\d+$/; # skip ones that are currently numbers
 print "." if $c++ % 100==0;
 while(-s "$notspamlog/$c") {$c++}
 $fn0=$fn;
 $fn=~s#/[^/]*$#/$c#;
 rename($fn0,$fn);
}
